<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/* 画像ページ・添付ファイルページをトップページへ移動 */
function haup_redirect_to_home_page() {
	//設定していない画像や添付ファイルをトップページへ移動（302）
	if (is_attachment() ) {
		wp_safe_redirect( home_url(), 302 );
		exit;
	}
}
add_action( 'template_redirect', 'haup_redirect_to_home_page' );
